Get vendor

View as MarkdownOpen in Claude
Retrieves a vendor's details, including enrichment status and payment acceptance info when available.

Path parameters

idVendorintegerRequired
Vendor ID.

Response

Success
VendorNumberstringOptional
Custom number identifying the vendor. Must be unique in paypoint. Can't be blank.
Name1stringOptional
Name2string or nullOptional
EINstring or nullOptional
Business EIN or tax ID. This value is masked in API responses.
PhonestringOptional
EmailstringOptionalformat: "email"<=320 characters
Email address.
RemitEmailstring or nullOptionalformat: "email"
Remittance email address. Used for sending virtual cards and other information about payouts.
Address1stringOptional
The address.
Address2stringOptional
Additional line for the address.
CitystringOptional
The city.
StatestringOptional
The state or province.
ZipstringOptional
ZIP code for address.
CountrystringOptional
MccstringOptional

Business Merchant Category Code (MCC). This resource lists MCC codes.

LocationCodestringOptional
Contactslist of objectsOptional
Array of objects describing the vendor's contacts.
BillingDataobjectOptional
PaymentMethodstringOptional

The vendor’s preferred payment method. Can be one of:

  • managed — Managed payment method
  • vcard — Virtual card payment method
  • check — Check payment method
  • ach — ACH payment method
VendorStatusintegerOptional

Vendor’s status. Allowed values:

  • 0 Inactive
  • 1 Active
  • -99 Deleted
VendorIdintegerOptional
Payabli identifier for vendor record.
EnrollmentStatusstringOptional
Enrollment status of vendor in payables program.
SummaryobjectOptional
PaypointLegalnamestringOptional
Business legal name.
PaypointIdlong or nullOptional
The paypoint's ID. This is different from the entryname.
PaypointDbanamestringOptional
The alternate or common name that this business is doing business under, usually referred to as a DBA name.
PaypointEntrynamestringOptional<=50 characters
The entrypoint identifier.
ParentOrgNamestringOptional
The name of the parent organization.
ParentOrgIdlongOptional
The ID of the org's parent organization.
CreatedDatedatetimeOptional
Timestamp of when record was created, in UTC.
LastUpdateddatetimeOptional
Timestamp of when record was last updated, in UTC.
remitAddress1stringOptional
Remittance street address. Used for mailing paper checks. Required if any remittance address field is provided.
remitAddress2stringOptional
Remittance address additional line, such as a suite or unit number. Used for mailing paper checks. Always optional.
remitCitystringOptional
Remittance address city. Used for mailing paper checks. Required if any remittance address field is provided.
remitStatestringOptional
Remittance address state or province. Used for mailing paper checks. Required if any remittance address field is provided. Must be a valid US state or Canadian province abbreviation.
remitZipstringOptional

Remittance address ZIP or postal code. Used for mailing paper checks. Required if any remittance address field is provided. For US addresses, use five digits or ZIP+4 format.

remitCountrystringOptional

Remittance address country. Used for mailing paper checks. Must be US or CA. Defaults to US if not provided.

payeeName1stringOptional
Alternative name used to receive paper check.
payeeName2stringOptional
Alternative name used to receive paper check.
customField1stringOptional
customField2stringOptional
customerVendorAccountstringOptional
InternalReferenceIdlongOptional
An internal reference ID.
PaymentPortalUrlstringOptional
URL for the vendor's online payment portal, if known. Populated by the vendor enrichment pipeline.
CardAcceptedstringOptional

Whether the vendor accepts card payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

AchAcceptedstringOptional

Whether the vendor accepts ACH payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

CheckAcceptedstringOptional

Whether the vendor accepts check payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

EnrichmentStatusstringOptional

Current enrichment state of the vendor. Values are not_enriched, partially_enriched, fully_enriched, or fallback_applied.

EnrichedBystringOptional

Which enrichment method resolved the vendor’s payment acceptance info. Values are invoice_scan, web_search, vendor_network, or manual.

EnrichedAtdatetimeOptional

When the vendor was last enriched (UTC).

EnrichmentIdstringOptional
Identifier for the enrichment request that last updated this vendor.
additionalDatamap from strings to stringsOptional

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters.

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
externalPaypointIDstringOptional
A custom identifier for the paypoint, if applicable.
StoredMethodslist of objectsOptional